Software versions

Dart and Flutter

  • Dart 2.6.0
  • Flutter 1.9.1+hotfix.6 ($HOME/programs/flutter)

iOS tools

  • Xcode

9.4.1 (9F2000) (/Applications/Xcode-9.4.app)

10.0 (10A255) (/Applications/Xcode-10.app)

10.1 (10B61) (/Applications/Xcode-10.1.app)

10.2.1 (10E1001) (/Applications/Xcode-10.2.app)

10.3 (10G8) (/Applications/Xcode-10.3.app)

11.0 (11A420a) (/Applications/Xcode-11.app)

11.1 (11A1027) (/Applications/Xcode-11.1.app)

11.2 (11B52) (/Applications/Xcode-11.2.app)

11.2.1 (11B53) (/Applications/Xcode-11.2.1.app)

  • CocoaPods 1.8.4

Android tools

  • Android tools $HOME/programs/android-sdk-macosx

Other tools

  • wget 1.20.3
  • curl 7.54.0
  • ssh 7.9p1
  • git 2.24.0
  • homebrew 2.1.16
  • python 2.7.17
  • python3 3.7.5
  • node 12.10.0
  • npm 6.13.0
  • yarn 1.19.1
  • gem 3.0.3
  • ruby 2.6.5p114
  • firebase 7.6.2
  • gradle 5.5.1